Package org.apache.felix.hc.core.impl.util

## Class AdhocStatusHealthCheck

- java.lang.Object
- - org.apache.felix.hc.core.impl.util.AdhocStatusHealthCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

    public class AdhocStatusHealthCheck
    extends Object
    implements org.apache.felix.hc.api.HealthCheck

### Field Summary

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

### Constructor Summary

Constructors
`AdhocStatusHealthCheck​(org.apache.felix.hc.api.Result.Status status, String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.hc.api.Result` `execute()`
`org.osgi.framework.ServiceRegistration<org.apache.felix.hc.api.HealthCheck>` `getServiceRegistration()`
`void` `setServiceRegistration​(org.osgi.framework.ServiceRegistration<org.apache.felix.hc.api.HealthCheck> serviceRegistration)`
`void` `updateMessage​(String msg)`
`void` `updateResult​(org.apache.felix.hc.api.Result result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdhocStatusHealthCheck

    public AdhocStatusHealthCheck​(org.apache.felix.hc.api.Result.Status status,
                                  String msg)

### Method Detail

#### execute

    public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`

#### updateMessage

    public void updateMessage​(String msg)

#### updateResult

    public void updateResult​(org.apache.felix.hc.api.Result result)

#### getServiceRegistration

    public org.osgi.framework.ServiceRegistration<org.apache.felix.hc.api.HealthCheck> getServiceRegistration()

#### setServiceRegistration

    public void setServiceRegistration​(org.osgi.framework.ServiceRegistration<org.apache.felix.hc.api.HealthCheck> serviceRegistration)